#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hOpenPGP
version:              2.9.8
visibility:           public
id:                   hOpenPGP-2.9.8-AxaVFgmQXVWFettzS0fOHN
key:                  hOpenPGP-2.9.8-AxaVFgmQXVWFettzS0fOHN
license:              MIT
copyright:            2012-2022  Clint Adams
maintainer:           Clint Adams <clint@debian.org>
author:               Clint Adams
homepage:             https://salsa.debian.org/clint/hOpenPGP
synopsis:             native Haskell implementation of OpenPGP (RFC4880)
description:
    native Haskell implementation of OpenPGP (RFC4880), plus Camellia (RFC5581), plus ECC (RFC6637)

category:             Codec, Data
abi:                  7dc27ae53b84f8d1b061f10453e9e225
exposed:              True
exposed-modules:
    Codec.Encryption.OpenPGP.CFB Codec.Encryption.OpenPGP.Compression
    Codec.Encryption.OpenPGP.Expirations
    Codec.Encryption.OpenPGP.Fingerprint
    Codec.Encryption.OpenPGP.KeyInfo
    Codec.Encryption.OpenPGP.KeySelection
    Codec.Encryption.OpenPGP.KeyringParser
    Codec.Encryption.OpenPGP.Ontology Codec.Encryption.OpenPGP.S2K
    Codec.Encryption.OpenPGP.SecretKey
    Codec.Encryption.OpenPGP.Serialize
    Codec.Encryption.OpenPGP.SignatureQualities
    Codec.Encryption.OpenPGP.Signatures Codec.Encryption.OpenPGP.Types
    Data.Conduit.OpenPGP.Compression Data.Conduit.OpenPGP.Decrypt
    Data.Conduit.OpenPGP.Filter Data.Conduit.OpenPGP.Keyring
    Data.Conduit.OpenPGP.Keyring.Instances Data.Conduit.OpenPGP.Verify

hidden-modules:
    Codec.Encryption.OpenPGP.Internal
    Codec.Encryption.OpenPGP.Internal.CryptoCipherTypes
    Codec.Encryption.OpenPGP.Internal.Cryptonite
    Codec.Encryption.OpenPGP.Internal.HOBlockCipher
    Codec.Encryption.OpenPGP.Types.Internal.Base
    Codec.Encryption.OpenPGP.Types.Internal.CryptoniteNewtypes
    Codec.Encryption.OpenPGP.Types.Internal.PKITypes
    Codec.Encryption.OpenPGP.Types.Internal.PacketClass
    Codec.Encryption.OpenPGP.Types.Internal.Pkt
    Codec.Encryption.OpenPGP.Types.Internal.PrettyUtils
    Codec.Encryption.OpenPGP.Types.Internal.TK
    Codec.Encryption.OpenPGP.BlockCipher
    Codec.Encryption.OpenPGP.SerializeForSigs

import-dirs:          /usr/lib/ghc-9.0.2/site-local/hOpenPGP-2.9.8
library-dirs:         /usr/lib/ghc-9.0.2/site-local/hOpenPGP-2.9.8
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-hopenpgp
hs-libraries:         HShOpenPGP-2.9.8-AxaVFgmQXVWFettzS0fOHN
depends:
    aeson-2.1.1.0-G096tWOvHRbG9p2kqAnbSl
    asn1-encoding-0.9.6-6OgSQKNKjcP5C3n1H0QY5E
    attoparsec-0.14.4-4qoZ65B0tcO5mAI942aSDV base-4.15.1.0
    base16-bytestring-1.0.2.0-L8NURv8emUbBF6y3vjhQlT
    bifunctors-5.5.14-LjUskFrVllwL5qHex92oE4 binary-0.8.8.0
    binary-conduit-1.3.1-9wMVnNolIck6ZtZBzVGQL9 bytestring-0.10.12.1
    bz2-1.0.1.0-CzjJuFQie4o68JH9YtJ31y
    conduit-1.3.4.3-2A3gewQBF4ODWUDbdpUfJY
    conduit-extra-1.3.6-FQ6Z2m56Fla9CFY739h6ZS containers-0.6.4.1
    crypto-cipher-types-0.0.9-8dNq76lIVvq61pUzJfYm3b
    cryptonite-0.30-8wkeZCiTRGtEGEo3XYRlPk
    errors-2.3.0-F4rUJSCR8jkHhnELGOml9T
    hashable-1.4.2.0-CqBnUCWXkAoBvuSxaiTiK1
    incremental-parser-0.5.0.4-FKRLsrsbphvIRTpoqeT6m6
    ixset-typed-0.5.1.0-6omj5heCbWcJ6YhNcKOVCz
    lens-5.2-GjqG8wbfEA1A6NlZHD1OOe
    memory-0.17.0-3DbDQrj54CLAPAnWUJBJ4b
    monad-loops-0.4.3-C4VZ1LczQKA9hVl8DS9fX
    nettle-0.3.0-8qVdvaF51A3AJM581PImaL
    network-uri-2.6.4.2-J4q2wMOTr911mQ5UY7Mthk
    openpgp-asciiarmor-0.1.2-KRvORdMgs4hLw96f0cgqw8
    prettyprinter-1.7.1-APrmIgdFhRUDRrI4fO2kLC
    resourcet-1.2.6-4jq9RsyZ3YK3d0VSfdMbmK
    split-0.2.3.5-4mMY6dVe8QRLZUpvtheArp text-1.2.5.0 time-1.9.3
    time-locale-compat-0.1.1.5-1snbmhWP0619voIlJd9qOd
    transformers-0.5.6.2 unliftio-core-0.2.0.1-HjGpVpPktr5Bc3kYrL6LtS
    unordered-containers-0.2.19.1-5gVbJUjVHi23RWuJCnXA3W
    zlib-0.6.3.0-KErgulrIQuD7loRyoAGRkC

haddock-interfaces:   /usr/share/doc/haskell-hopenpgp/html/hOpenPGP.haddock
haddock-html:         /usr/share/doc/haskell-hopenpgp/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

